package com.bonus.material.work.mapper;

import com.bonus.material.work.domain.SysWorkflowRecord;
import com.bonus.material.work.domain.SysWorkflowRecordHistory;

import java.util.List;

public interface SysWorkflowRecordHistoryMapper {


    int addSysWorkflowRecordHistory(SysWorkflowRecordHistory sysWorkflowRecordHistory);

    List<SysWorkflowRecordHistory> seleteSysWorkflowRecordHistory(SysWorkflowRecordHistory sysWorkflowRecordHistory);

    SysWorkflowRecordHistory getWorkflowRecordHistoryByRecordId(Integer recordId);

    SysWorkflowRecordHistory getWorkFlowRecordNodeInfoByTaskId(Integer taskId);

    SysWorkflowRecordHistory getWorkflowRecordHistory(Integer recordId);

    String getDirectUserIdsByTaskId(SysWorkflowRecordHistory sysWorkflowRecordHistory);

    int getLeaseAgreementIdByTaskId(SysWorkflowRecordHistory sysWorkflowRecordHistory);

    int getProjectIdById(int leaseAgreementId);

    int getBackAgreementIdByTaskId(SysWorkflowRecordHistory sysWorkflowRecordHistory);

    String getNowUserIds(SysWorkflowRecordHistory sysWorkflowRecordHistory);

    void deleteNowNode(SysWorkflowRecordHistory sysWorkflowRecordHistory);
}
